Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create voice consent

VoiceConsent audio().voiceConsents().create(params, requestOptions = RequestOptions.none())
POST
/audio/voice_consents

Upload a voice consent recording.

Parameters
VoiceConsentCreateParams params
String language

The BCP 47 language tag for the consent phrase (for example, en-US).

String name

The label to use for this consent recording.

InputStream recording

The consent audio recording file. Maximum size is 10 MiB.

Supported MIME types: audio/mpeg, audio/wav, audio/x-wav, audio/ogg, audio/aac, audio/flac, audio/webm, audio/mp4.

Returns

Create voice consent

package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.audio.voiceconsents.VoiceConsent;
import com.openai.models.audio.voiceconsents.VoiceConsentCreateParams;
import java.io.ByteArrayInputStream;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        VoiceConsentCreateParams params = VoiceConsentCreateParams.builder()
            .language("language")
            .name("name")
            .recording(new ByteArrayInputStream("Example data".getBytes()))
            .build();
        VoiceConsent voiceConsent = client.audio().voiceConsents().create(params);
    }
}
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}
Returns Examples
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}